### Method

# WebKit2WebExtension DOMDocumentFragment query_selector_all

#### Declaration [src]

    WebKitDOMNodeList*
    webkit_dom_document_fragment_query_selector_all (
      WebKitDOMDocumentFragment* self,
      const gchar* selectors,
      GError** error
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`selectors` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMNodeList`
| A `WebKitDOMNodeList`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.